Your shopping cart

Your basket is currently empty.

Return to shop

We accept

Kontakt compatibility

Most of our libraries require the FULL version of Kontakt 5.6.8 or higher to operate and they will not work in Kontakt PLAYER.

LOST PIANO is currently our only library that does work in the free Kontakt PLAYER.

Please check your version of Kontakt before purchase and feel free to contact us if you are unsure or read our Kontakt guide here.

In accordance with our EULA we are unable to issue refunds to any customer purchasing and downloading a product in error. 

Thank you for reading and enjoy your new instrument!